reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
Token.cxx File Reference
#include "resip/stack/Token.hxx"
#include "rutil/Data.hxx"
#include "rutil/DnsUtil.hxx"
#include "rutil/Logger.hxx"
#include "rutil/ParseBuffer.hxx"

Go to the source code of this file.

Macros

#define RESIPROCATE_SUBSYSTEM   Subsystem::SIP
 
#define defineParam(_enum, _name, _type, _RFC_ref_ignored)
 

Functions

 defineParam (text, "text", ExistsOrDataParameter, "RFC 3840")
 
 defineParam (cause, "cause", UInt32Parameter, "RFC 3326")
 
 defineParam (dAlg, "d-alg", DataParameter, "RFC 3329")
 
 defineParam (dQop, "d-qop", DataParameter, "RFC 3329")
 
 defineParam (dVer, "d-ver", QuotedDataParameter, "RFC 3329")
 
 defineParam (expires, "expires", UInt32Parameter, "RFC 3261")
 
 defineParam (filename, "filename", DataParameter, "RFC 2183")
 
 defineParam (fromTag, "from-tag", DataParameter, "RFC 4235")
 
 defineParam (handling, "handling", DataParameter, "RFC 3261")
 
 defineParam (id, "id", DataParameter, "RFC 3265")
 
 defineParam (q, "q", QValueParameter, "RFC 3261")
 
 defineParam (reason, "reason", DataParameter, "RFC 3265")
 
 defineParam (retryAfter, "retry-after", UInt32Parameter, "RFC 3265")
 
 defineParam (toTag, "to-tag", DataParameter, "RFC 4235")
 
 defineParam (extension, "ext", DataParameter, "RFC 3966")
 
 defineParam (profileType, "profile-type", DataParameter, "RFC 6080")
 
 defineParam (vendor, "vendor", QuotedDataParameter, "RFC 6080")
 
 defineParam (model, "model", QuotedDataParameter, "RFC 6080")
 
 defineParam (version, "version", QuotedDataParameter, "RFC 6080")
 
 defineParam (effectiveBy, "effective-by", UInt32Parameter, "RFC 6080")
 
 defineParam (document, "document", DataParameter, "draft-ietf-sipping-config-framework-07 (removed in 08)")
 
 defineParam (appId, "app-id", DataParameter, "draft-ietf-sipping-config-framework-05 (renamed to auid in 06, which was then removed in 08)")
 
 defineParam (networkUser, "network-user", DataParameter, "draft-ietf-sipping-config-framework-11 (removed in 12)")
 
 defineParam (require, "require", ExistsParameter, "RFC 5373")
 
 defineParam (utranCellId3gpp, "utran-cell-id-3gpp", DataParameter, "RFC 3455")
 
 defineParam (cgi3gpp, "cgi-3gpp", DataParameter, "RFC 3455")
 
 defineParam (ccf, "ccf", DataParameter, "RFC 3455")
 
 defineParam (ecf, "ecf", DataParameter, "RFC 3455")
 
 defineParam (icidValue, "icid-value", DataParameter, "RFC 3455")
 
 defineParam (icidGeneratedAt, "icid-generated-at", DataParameter, "RFC 3455")
 
 defineParam (origIoi, "orig-ioi", DataParameter, "RFC 3455")
 
 defineParam (termIoi, "term-ioi", DataParameter, "RFC 3455")
 

Macro Definition Documentation

◆ defineParam

#define defineParam (   _enum,
  _name,
  _type,
  _RFC_ref_ignored 
)
Value:
_enum##_Param::DType& \
Token::param(const _enum##_Param& paramType) \
{ \
checkParsed(); \
_enum##_Param::Type* p = \
static_cast<_enum##_Param::Type*>(getParameterByEnum(paramType.getTypeNum())); \
if (!p) \
{ \
p = new _enum##_Param::Type(paramType.getTypeNum()); \
mParameters.push_back(p); \
} \
return p->value(); \
} \
\
const _enum##_Param::DType& \
Token::param(const _enum##_Param& paramType) const \
{ \
checkParsed(); \
_enum##_Param::Type* p = \
static_cast<_enum##_Param::Type*>(getParameterByEnum(paramType.getTypeNum())); \
if (!p) \
{ \
InfoLog(<< "Missing parameter " _name " " << ParameterTypes::ParameterNames[paramType.getTypeNum()]); \
DebugLog(<< *this); \
throw Exception("Missing parameter " _name, __FILE__, __LINE__); \
} \
return p->value(); \
}
static Data ParameterNames[MAX_PARAMETER]
static array of ParameterNames indexed by the 2nd element in defineParam(...)

Definition at line 153 of file Token.cxx.

◆ RESIPROCATE_SUBSYSTEM

#define RESIPROCATE_SUBSYSTEM   Subsystem::SIP

Definition at line 15 of file Token.cxx.

Function Documentation

◆ defineParam() [1/32]

defineParam ( appId  ,
"app-id"  ,
DataParameter  ,
"draft-ietf-sipping-config-framework-05 (renamed to auid in 06, which was then removed in 08)"   
)

◆ defineParam() [2/32]

defineParam ( cause  ,
"cause"  ,
UInt32Parameter  ,
"RFC 3326"   
)

◆ defineParam() [3/32]

defineParam ( ccf  ,
"ccf"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [4/32]

defineParam ( cgi3gpp  ,
"cgi-3gpp"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [5/32]

defineParam ( dAlg  ,
"d-alg"  ,
DataParameter  ,
"RFC 3329"   
)

◆ defineParam() [6/32]

defineParam ( document  ,
"document"  ,
DataParameter  ,
"draft-ietf-sipping-config-framework-07 (removed in 08)"   
)

◆ defineParam() [7/32]

defineParam ( dQop  ,
"d-qop"  ,
DataParameter  ,
"RFC 3329"   
)

◆ defineParam() [8/32]

defineParam ( dVer  ,
"d-ver"  ,
QuotedDataParameter  ,
"RFC 3329"   
)

◆ defineParam() [9/32]

defineParam ( ecf  ,
"ecf"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [10/32]

defineParam ( effectiveBy  ,
"effective-by"  ,
UInt32Parameter  ,
"RFC 6080"   
)

◆ defineParam() [11/32]

defineParam ( expires  ,
"expires"  ,
UInt32Parameter  ,
"RFC 3261"   
)

◆ defineParam() [12/32]

defineParam ( extension  ,
"ext"  ,
DataParameter  ,
"RFC 3966"   
)

◆ defineParam() [13/32]

defineParam ( filename  ,
"filename"  ,
DataParameter  ,
"RFC 2183"   
)

◆ defineParam() [14/32]

defineParam ( fromTag  ,
"from-tag"  ,
DataParameter  ,
"RFC 4235"   
)

◆ defineParam() [15/32]

defineParam ( handling  ,
"handling"  ,
DataParameter  ,
"RFC 3261"   
)

◆ defineParam() [16/32]

defineParam ( icidGeneratedAt  ,
"icid-generated-at"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [17/32]

defineParam ( icidValue  ,
"icid-value"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [18/32]

defineParam ( id  ,
"id"  ,
DataParameter  ,
"RFC 3265"   
)

◆ defineParam() [19/32]

defineParam ( model  ,
"model"  ,
QuotedDataParameter  ,
"RFC 6080"   
)

◆ defineParam() [20/32]

defineParam ( networkUser  ,
"network-user"  ,
DataParameter  ,
"draft-ietf-sipping-config-framework-11 (removed in 12)"   
)

◆ defineParam() [21/32]

defineParam ( origIoi  ,
"orig-ioi"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [22/32]

defineParam ( profileType  ,
"profile-type"  ,
DataParameter  ,
"RFC 6080"   
)

◆ defineParam() [23/32]

defineParam ( q  ,
"q"  ,
QValueParameter  ,
"RFC 3261"   
)

◆ defineParam() [24/32]

defineParam ( reason  ,
"reason"  ,
DataParameter  ,
"RFC 3265"   
)

◆ defineParam() [25/32]

defineParam ( require  ,
"require"  ,
ExistsParameter  ,
"RFC 5373"   
)

◆ defineParam() [26/32]

defineParam ( retryAfter  ,
"retry-after"  ,
UInt32Parameter  ,
"RFC 3265"   
)

◆ defineParam() [27/32]

defineParam ( termIoi  ,
"term-ioi"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [28/32]

defineParam ( text  ,
"text"  ,
ExistsOrDataParameter  ,
"RFC 3840"   
)

◆ defineParam() [29/32]

defineParam ( toTag  ,
"to-tag"  ,
DataParameter  ,
"RFC 4235"   
)

◆ defineParam() [30/32]

defineParam ( utranCellId3gpp  ,
"utran-cell-id-3gpp"  ,
DataParameter  ,
"RFC 3455"   
)

◆ defineParam() [31/32]

defineParam ( vendor  ,
"vendor"  ,
QuotedDataParameter  ,
"RFC 6080"   
)

◆ defineParam() [32/32]

defineParam ( version  ,
"version"  ,
QuotedDataParameter  ,
"RFC 6080"   
)